# Tables

## Get tables

 - [GET /table/list/{database_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/gettablesbydatabasename.md): Retrieves a list of tables according to database specified.

## Get table

 - [GET /table/show/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/gettablebydatabasenameandtablename.md): Shows a table according to specified database and table.

## Delete table

 - [POST /table/delete/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/deletetable.md): Deletes specified table.

## Create table with specified type

 - [POST /table/create/{database_name}/{table_name}/{table_type}](https://docs.treasure.ai/apis/td_api_v3-public/tables/createtablewithtabletype.md): Creates a table of a specified type. Currently only 'log' is supported as table_type. This endpoint supports creating tables with schema, options, and can copy properties from existing tables. Schema can include column descriptions in the format [name, type, alias, description].

## Create table

 - [POST /table/create/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/createtable.md): Creates a table with default type 'log'. This endpoint offers the same functionality as the typed endpoint but without explicitly specifying the table type. Schema can include column descriptions in the format [name, type, alias, description].

## Update table

 - [POST /table/update/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/updatetable.md): Updates a table.

## Rename table

 - [POST /table/rename/{database_name}/{current_table_name}/{new_table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/renametable.md): Renames a specified table.

## Swap tables

 - [POST /table/swap/{database_name}/{table_name_1}/{table_name_2}](https://docs.treasure.ai/apis/td_api_v3-public/tables/swaptables.md): Swaps specified tables.

## Tail table

 - [GET /table/tail/{database_name}/{table_name}{path_format}](https://docs.treasure.ai/apis/td_api_v3-public/tables/tailtable.md): Shows the last record in a table.

## Get table distribution

 - [GET /table/distribution/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/gettabledistribution.md): Retrieve a table distribution.

## Change database

 - [POST /table/change_database/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/changetabledatabase.md): Changes to the specified table database.

## Transfer table to a different account

 - [POST /table/transfer/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/transfertable.md): Transfer the specified table to a different account. (Limited Access)

## Append table schema

 - [POST /table/append-schema/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/appendtableschema.md): Appends the specified table schema.

## Update table schema

 - [POST /table/update-schema/{database_name}/{table_name}](https://docs.treasure.ai/apis/td_api_v3-public/tables/updatetableschema.md): Updates the specified table schema. Schema can include column descriptions in the format [name, type, alias, description].

## List deleted tables

 - [GET /table/deleted](https://docs.treasure.ai/apis/td_api_v3-public/tables/listdeletedtables.md): Returns a paginated list of deleted recoverable tables for the authenticated account.

## Recover deleted table

 - [POST /table/recover/{table_id}](https://docs.treasure.ai/apis/td_api_v3-public/tables/recovertablebyid.md): Recovers a deleted table. If the parent database is also deleted, with proper permissions it will be recovered automatically.

